/*
 * vim: sw=2 ts=2 expandtab
 *
 * THE PIZZA-WARE LICENSE" (derived from "THE BEER-WARE LICENCE"):
 * <cfr34k@tkolb.de> wrote this file. As long as you retain this notice you can
 * do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a pizza in return. - Thomas Kolb
 */

#ifndef LUA_UTILS_H
#define LUA_UTILS_H

#include "config.h"

void lua_showerror(lua_State *L, const char *msg);
void lua_pushdoublearray(lua_State *L, double *numbers, size_t len);
void lua_pushsamplearray(lua_State *L, sample *numbers, size_t len);
void lua_readdoublearray(lua_State *L, double *numbers, size_t len);

#endif // LUA_UTILS_H
